{%- comment -%}

Form: type boolean

@param :field [Integer] El campo del formulario
@param :boolean_class [String] Las clases del componente
{%- endcomment -%}

{%- assign name = include.field[0] -%}
{%- assign id = include.field[1].id | default: name -%}
{%- assign label = include.field[1].label[site.locale] -%}
{%- assign help = include.field[1].help[site.locale] -%}
{%- assign autocomplete = include.field[1].autocomplete -%}

<div class="form-check text-left">
  <input
    {% if help %}
      aria-describedby="help-{{ id }}"
    {% endif %}
    {% if include.field[1].required %}
      required
    {% endif %}
    type="checkbox"
    name="{{ name }}"
    id="{{ id }}"
    {% if autocomplete %}
      autocomplete="{{ autocomplete }}"
    {% endif %}
    class="form-check-input {{ include.boolean_class }}" />

  <label class="form-check-label" for="{{ id }}">{{ label }}</label>

  {%- if help -%}
    <small id="help-{{ id }}" class="form-text">
      {{ help }}
    </small>
  {%- endif -%}
</div>
